Import saved objects
- Base URL
-
https://{kibana_url}
- POST /api/saved_objects/_import
- POST /s/{space_id}/api/saved_objects/_import
Refer to Spaces for more information.
Create sets of Kibana saved objects from a file created by the export API. Saved objects can be imported only into the same version, a newer minor on the same major, or the next major. Exported saved objects are not backwards compatible and cannot be imported into an older version of Kibana.
Query parameters
Request body
-
fileobject -
A file exported using the export API. Changing the contents of the exported file in any way before importing it can cause errors, crashes or data loss. NOTE: The
savedObjects.maxImportExportSizeconfiguration setting limits the number of saved objects which may be included in this file. Similarly, thesavedObjects.maxImportPayloadBytessetting limits the overall size of the file that can be imported.
Responses
Indicates a successful call.
-
errorsobject -
Indicates the import was unsuccessful and specifies the objects that failed to import.
NoteOne object may result in multiple errors, which requires separate steps to resolve. For instance, a
missing_referenceserror and conflict error. -
successboolean -
Indicates when the import was successfully completed. When set to false, some objects may not have been created. For additional information, refer to the
errorsandsuccessResultsproperties. -
successResultsobject -
Indicates the objects that are successfully imported, with any metadata if applicable.
NoteObjects are created only when all resolvable errors are addressed, including conflicts and missing references. If objects are created as new copies, each entry in the
successResultsarray includes adestinationIdattribute.